Bug 82234 - startx fails to start XWindows
startx fails to start XWindows
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
7.2
i686 Linux
high Severity high
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-01-20 02:02 EST by Vishnu Vardhan Makkapati
Modified: 2005-10-31 17:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-20 20:31:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vishnu Vardhan Makkapati 2003-01-20 02:02:41 EST
Description of problem:
startx fails to start XWindows. I attached the log file with this report.

Version-Release number of selected component (if applicable):
XFree86 Version 4.1.0 (Red Hat Linux release: 4.1.0-3) / X Window System
(protocol Version 11, revision 0, vendor release 6510)

How reproducible:
Type startx and XWindows does not start.

Steps to Reproduce:
1. startx
2.
3.
    
Actual results:


Expected results:


Additional info:
Comment 1 Vishnu Vardhan Makkapati 2003-01-20 02:05:21 EST
XFree86 Version 4.1.0 (Red Hat Linux release: 4.1.0-3) / X Window System
(protocol Version 11, revision 0, vendor release 6510)
Release Date: 2 June 2001
	If the server is older than 6-12 months, or if your card is
	newer than the above date, look for a newer version before
	reporting problems.  (See http://www.XFree86.Org/FAQ)
Build Operating System: Linux 2.4.7-0.13.1smp i686 [ELF] 
Build Host: stripples.devel.redhat.com
 
Module Loader present
(==) Log file: "/var/log/XFree86.0.log", Time: Thu Jan 16 19:49:37 2003
(==) Using config file: "/etc/X11/XF86Config-4"
Markers: (--) probed, (**) from config file, (==) default setting,
         (++) from command line, (!!) notice, (II) informational,
         (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) ServerLayout "XFree86 Configured"
(**) |-->Screen "Screen0" (0)
(**) |   |-->Monitor "SyncMaster"
(**) |   |-->Device "ATI Rage 128"
(**) |-->Input Device "Mouse0"
(**) |-->Input Device "Keyboard0"
(**) Option "XkbLayout" "us"
(**) XKB: layout: "us"
(==) Keyboard: CustomKeycode disabled
(**) FontPath set to "unix/:7100"
(==) RgbPath set to "/usr/X11R6/lib/X11/rgb"
(==) ModulePath set to "/usr/X11R6/lib/modules"
(--) using VT number 7

(II) Open APM successful
(II) Module ABI versions:
	XFree86 ANSI C Emulation: 0.1
	XFree86 Video Driver: 0.4
	XFree86 XInput driver : 0.2
	XFree86 Server Extension : 0.1
	XFree86 Font Renderer : 0.2
(II) Loader running on linux
(II) LoadModule: "bitmap"
(II) Loading /usr/X11R6/lib/modules/fonts/libbitmap.a
(II) Module bitmap: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.0.0
	Module class: XFree86 Font Renderer
	ABI class: XFree86 Font Renderer, version 0.2
(II) Loading font Bitmap
(II) LoadModule: "pcidata"
(II) Loading /usr/X11R6/lib/modules/libpcidata.a
(II) Module pcidata: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 0.1.0
	ABI class: XFree86 Video Driver, version 0.4
(II) PCI: Probing config type using method 1
(II) PCI: Config type is 1
(II) PCI: stages = 0x03, oldVal1 = 0x00000000, mode1Res1 = 0x80000000
(II) PCI: PCI scan (all values are in hex)
(II) PCI: 00:00:0: chip 8086,1a30 card 103c,1a30 rev 03 class 06,00,00 hdr 00
(II) PCI: 00:01:0: chip 8086,1a31 card 0000,0000 rev 03 class 06,04,00 hdr 01
(II) PCI: 00:1e:0: chip 8086,244e card 0000,0000 rev 12 class 06,04,00 hdr 01
(II) PCI: 00:1f:0: chip 8086,2440 card 0000,0000 rev 12 class 06,01,00 hdr 80
(II) PCI: 00:1f:1: chip 8086,244b card 103c,2440 rev 12 class 01,01,80 hdr 00
(II) PCI: 00:1f:2: chip 8086,2442 card 103c,2440 rev 12 class 0c,03,00 hdr 00
(II) PCI: 00:1f:3: chip 8086,2443 card 103c,2440 rev 12 class 0c,05,00 hdr 00
(II) PCI: 00:1f:4: chip 8086,2444 card 103c,2440 rev 12 class 0c,03,00 hdr 00
(II) PCI: 00:1f:5: chip 8086,2445 card 103c,127a rev 12 class 04,01,00 hdr 00
(II) PCI: 01:00:0: chip 1002,5446 card 1002,0008 rev 00 class 03,00,00 hdr 00
(II) PCI: 02:08:0: chip 8086,2449 card 8086,3013 rev 03 class 02,00,00 hdr 00
(II) PCI: End of PCI scan
(II) LoadModule: "scanpci"
(II) Loading /usr/X11R6/lib/modules/libscanpci.a
(II) Module scanpci: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 0.1.0
	ABI class: XFree86 Video Driver, version 0.4
(II) UnloadModule: "scanpci"
(II) Unloading /usr/X11R6/lib/modules/libscanpci.a
(II) Host-to-PCI bridge:
(II) PCI-to-ISA bridge:
(II) PCI-to-PCI bridge:
(II) PCI-to-PCI bridge:
(II) Bus 0: bridge is at (0:0:0), (-1,0,0), BCTRL: 0x08 (VGA_EN is set)
(II) Bus 0 I/O range:
	[0] -1	0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) Bus 0 non-prefetchable memory range:
	[0] -1	0x00000000 - 0xffffffff (0x0) MX[B]
(II) Bus 0 prefetchable memory range:
	[0] -1	0x00000000 - 0xffffffff (0x0) MX[B]
(II) Bus 1: bridge is at (0:1:0), (0,1,1), BCTRL: 0x0f (VGA_EN is set)
(II) Bus 1 I/O range:
	[0] -1	0x00009000 - 0x000090ff (0x100) IX[B]
	[1] -1	0x00009400 - 0x000094ff (0x100) IX[B]
	[2] -1	0x00009800 - 0x000098ff (0x100) IX[B]
	[3] -1	0x00009c00 - 0x00009cff (0x100) IX[B]
(II) Bus 1 non-prefetchable memory range:
	[0] -1	0xdfd00000 - 0xdfdfffff (0x100000) MX[B]
(II) Bus 1 prefetchable memory range:
	[0] -1	0xd7a00000 - 0xdfafffff (0x8100000) MX[B]
(II) Bus 2: bridge is at (0:30:0), (0,2,2), BCTRL: 0x06 (VGA_EN is cleared)
(II) Bus 2 I/O range:
	[0] -1	0x0000a000 - 0x0000a0ff (0x100) IX[B]
	[1] -1	0x0000a400 - 0x0000a4ff (0x100) IX[B]
	[2] -1	0x0000a800 - 0x0000a8ff (0x100) IX[B]
	[3] -1	0x0000ac00 - 0x0000acff (0x100) IX[B]
(II) Bus 2 non-prefetchable memory range:
	[0] -1	0xdfe00000 - 0xdfefffff (0x100000) MX[B]
(II) Bus 2 prefetchable memory range:
	[0] -1	0xdfb00000 - 0xdfbfffff (0x100000) MX[B]
(II) Bus -1: bridge is at (0:31:0), (0,-1,0), BCTRL: 0x08 (VGA_EN is set)
(II) Bus -1 I/O range:
(II) Bus -1 non-prefetchable memory range:
(II) Bus -1 prefetchable memory range:
(--) PCI:*(1:0:0) ATI Rage 128 Pro TF rev 0, Mem @ 0xd8000000/26, 
0xdfdfc000/14, I/O @ 0x9800/8, BIOS @ 0xdfdc0000/17
(II) Addressable bus resource ranges are
	[0] -1	0x00000000 - 0xffffffff (0x0) MX[B]
	[1] -1	0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) OS-reported resource ranges:
	[0] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[6] -1	0x00000000 - 0x000000ff (0x100) IX[B]
(II) Active PCI resource ranges:
	[0] -1	0xdfeff000 - 0xdfefffff (0x1000) MX[B]
	[1] -1	0xe0000000 - 0xe3ffffff (0x4000000) MX[B]
	[2] -1	0xdfdc0000 - 0xdfddffff (0x20000) MX[B](B)
	[3] -1	0xdfdfc000 - 0xdfdfffff (0x4000) MX[B](B)
	[4] -1	0xd8000000 - 0xdbffffff (0x4000000) MX[B](B)
	[5] -1	0x0000ac00 - 0x0000ac3f (0x40) IX[B]
	[6] -1	0x0000d800 - 0x0000d83f (0x40) IX[B]
	[7] -1	0x0000dc00 - 0x0000dcff (0x100) IX[B]
	[8] -1	0x0000d400 - 0x0000d41f (0x20) IX[B]
	[9] -1	0x00000c00 - 0x00000c0f (0x10) IX[B]
	[10] -1	0x0000d000 - 0x0000d01f (0x20) IX[B]
	[11] -1	0x0000fc00 - 0x0000fc0f (0x10) IX[B]
	[12] -1	0x00009800 - 0x000098ff (0x100) IX[B](B)
(II) Active PCI resource ranges after removing overlaps:
	[0] -1	0xdfeff000 - 0xdfefffff (0x1000) MX[B]
	[1] -1	0xe0000000 - 0xe3ffffff (0x4000000) MX[B]
	[2] -1	0xdfdc0000 - 0xdfddffff (0x20000) MX[B](B)
	[3] -1	0xdfdfc000 - 0xdfdfffff (0x4000) MX[B](B)
	[4] -1	0xd8000000 - 0xdbffffff (0x4000000) MX[B](B)
	[5] -1	0x0000ac00 - 0x0000ac3f (0x40) IX[B]
	[6] -1	0x0000d800 - 0x0000d83f (0x40) IX[B]
	[7] -1	0x0000dc00 - 0x0000dcff (0x100) IX[B]
	[8] -1	0x0000d400 - 0x0000d41f (0x20) IX[B]
	[9] -1	0x00000c00 - 0x00000c0f (0x10) IX[B]
	[10] -1	0x0000d000 - 0x0000d01f (0x20) IX[B]
	[11] -1	0x0000fc00 - 0x0000fc0f (0x10) IX[B]
	[12] -1	0x00009800 - 0x000098ff (0x100) IX[B](B)
(II) OS-reported resource ranges after removing overlaps with PCI:
	[0] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[6] -1	0x00000000 - 0x000000ff (0x100) IX[B]
(II) All system resource ranges:
	[0] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0xdfeff000 - 0xdfefffff (0x1000) MX[B]
	[6] -1	0xe0000000 - 0xe3ffffff (0x4000000) MX[B]
	[7] -1	0xdfdc0000 - 0xdfddffff (0x20000) MX[B](B)
	[8] -1	0xdfdfc000 - 0xdfdfffff (0x4000) MX[B](B)
	[9] -1	0xd8000000 - 0xdbffffff (0x4000000) MX[B](B)
	[10] -1	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[11] -1	0x00000000 - 0x000000ff (0x100) IX[B]
	[12] -1	0x0000ac00 - 0x0000ac3f (0x40) IX[B]
	[13] -1	0x0000d800 - 0x0000d83f (0x40) IX[B]
	[14] -1	0x0000dc00 - 0x0000dcff (0x100) IX[B]
	[15] -1	0x0000d400 - 0x0000d41f (0x20) IX[B]
	[16] -1	0x00000c00 - 0x00000c0f (0x10) IX[B]
	[17] -1	0x0000d000 - 0x0000d01f (0x20) IX[B]
	[18] -1	0x0000fc00 - 0x0000fc0f (0x10) IX[B]
	[19] -1	0x00009800 - 0x000098ff (0x100) IX[B](B)
(II) LoadModule: "dbe"
(II) Loading /usr/X11R6/lib/modules/extensions/libdbe.a
(II) Module dbe: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.0.0
	Module class: XFree86 Server Extension
	ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension DOUBLE-BUFFER
(II) LoadModule: "GLcore"
(II) Loading /usr/X11R6/lib/modules/extensions/libGLcore.a
(II) Module GLcore: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.0.0
	ABI class: XFree86 Server Extension, version 0.1
(II) LoadModule: "dri"
(II) Loading /usr/X11R6/lib/modules/extensions/libdri.a
(II) Module dri: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.0.0
	ABI class: XFree86 Server Extension, version 0.1
(II) Loading sub module "drm"
(II) LoadModule: "drm"
(II) Loading /usr/X11R6/lib/modules/linux/libdrm.a
(II) Module drm: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.0.0
	ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension XFree86-DRI
(II) LoadModule: "glx"
(II) Loading /usr/X11R6/lib/modules/extensions/libglx.a
(II) Module glx: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.0.0
	ABI class: XFree86 Server Extension, version 0.1
(II) Loading sub module "GLcore"
(II) LoadModule: "GLcore"
(II) Reloading /usr/X11R6/lib/modules/extensions/libGLcore.a
(II) Loading extension GLX
(II) LoadModule: "extmod"
(II) Loading /usr/X11R6/lib/modules/extensions/libextmod.a
(II) Module extmod: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.0.0
	Module class: XFree86 Server Extension
	ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension SHAPE
(II) Loading extension MIT-SUNDRY-NONSTANDARD
(II) Loading extension BIG-REQUESTS
(II) Loading extension SYNC
(II) Loading extension MIT-SCREEN-SAVER
(II) Loading extension XC-MISC
(II) Loading extension XFree86-VidModeExtension
(II) Loading extension XFree86-Misc
(II) Loading extension XFree86-DGA
(II) Loading extension DPMS
(II) Loading extension FontCache
(II) Loading extension TOG-CUP
(II) Loading extension Extended-Visual-Information
(II) Loading extension XVideo
(II) Loading extension XVideo-MotionCompensation
(II) LoadModule: "v4l"
(II) Loading /usr/X11R6/lib/modules/drivers/linux/v4l_drv.o
(II) Module v4l: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 0.0.1
	ABI class: XFree86 Video Driver, version 0.4
(II) LoadModule: "r128"
(II) Loading /usr/X11R6/lib/modules/drivers/r128_drv.o
(II) Module r128: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 4.0.1
	Module class: XFree86 Video Driver
	ABI class: XFree86 Video Driver, version 0.4
(II) LoadModule: "ati"
(II) Loading /usr/X11R6/lib/modules/drivers/ati_drv.o
(II) Module ati: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 6.3.6
	Module class: XFree86 Video Driver
	ABI class: XFree86 Video Driver, version 0.4
(II) LoadModule: "mouse"
(II) Loading /usr/X11R6/lib/modules/input/mouse_drv.o
(II) Module mouse: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.0.0
	Module class: XFree86 XInput Driver
	ABI class: XFree86 XInput driver, version 0.2
(II) v4l driver for Video4Linux
(II) ATI: ATI driver (version 6.3.6) for chipsets: ati, ativga
(II) R128: Driver for ATI Rage 128 chipsets: ATI Rage 128 RE (PCI),
	ATI Rage 128 RF (AGP), ATI Rage 128 RG (AGP), ATI Rage 128 RK (PCI),
	ATI Rage 128 RL (AGP), ATI Rage 128 SM (AGP),
	ATI Rage 128 Pro PD (PCI), ATI Rage 128 Pro PF (AGP),
	ATI Rage 128 Pro ULTRA TF (AGP), ATI Rage 128 Pro ULTRA TL (AGP),
	ATI Rage 128 Pro ULTRA TR (AGP), ATI Rage 128 Mobility LE (PCI),
	ATI Rage 128 Mobility LF (AGP), ATI Rage 128 Mobility MF (AGP),
	ATI Rage 128 Mobility ML (AGP)
(II) RADEON: Driver for ATI Radeon chipsets: ATI Radeon QD (AGP),
	ATI Radeon QE (AGP), ATI Radeon QF (AGP), ATI Radeon QG (AGP),
	ATI Radeon VE QY (AGP), ATI Radeon VE QZ (AGP),
	ATI Radeon Mobility LW (AGP), ATI Radeon Mobility LY (AGP),
	ATI Radeon Mobility LZ (AGP)
(II) Primary Device is: PCI 01:00:0
(--) Assigning device section with no busID to primary device
(--) Chipset ATI Rage 128 Pro ULTRA TF (AGP) found
(II) Loading sub module "r128"
(II) LoadModule: "r128"
(II) Reloading /usr/X11R6/lib/modules/drivers/r128_drv.o
(II) resource ranges after xf86ClaimFixedResources() call:
	[0] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0xdfeff000 - 0xdfefffff (0x1000) MX[B]
	[6] -1	0xe0000000 - 0xe3ffffff (0x4000000) MX[B]
	[7] -1	0xdfdc0000 - 0xdfddffff (0x20000) MX[B](B)
	[8] -1	0xdfdfc000 - 0xdfdfffff (0x4000) MX[B](B)
	[9] -1	0xd8000000 - 0xdbffffff (0x4000000) MX[B](B)
	[10] -1	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[11] -1	0x00000000 - 0x000000ff (0x100) IX[B]
	[12] -1	0x0000ac00 - 0x0000ac3f (0x40) IX[B]
	[13] -1	0x0000d800 - 0x0000d83f (0x40) IX[B]
	[14] -1	0x0000dc00 - 0x0000dcff (0x100) IX[B]
	[15] -1	0x0000d400 - 0x0000d41f (0x20) IX[B]
	[16] -1	0x00000c00 - 0x00000c0f (0x10) IX[B]
	[17] -1	0x0000d000 - 0x0000d01f (0x20) IX[B]
	[18] -1	0x0000fc00 - 0x0000fc0f (0x10) IX[B]
	[19] -1	0x00009800 - 0x000098ff (0x100) IX[B](B)
(II) resource ranges after probing:
	[0] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0xdfeff000 - 0xdfefffff (0x1000) MX[B]
	[6] -1	0xe0000000 - 0xe3ffffff (0x4000000) MX[B]
	[7] -1	0xdfdc0000 - 0xdfddffff (0x20000) MX[B](B)
	[8] -1	0xdfdfc000 - 0xdfdfffff (0x4000) MX[B](B)
	[9] -1	0xd8000000 - 0xdbffffff (0x4000000) MX[B](B)
	[10] 0	0x000a0000 - 0x000affff (0x10000) MS[B]
	[11] 0	0x000b0000 - 0x000b7fff (0x8000) MS[B]
	[12] 0	0x000b8000 - 0x000bffff (0x8000) MS[B]
	[13] -1	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[14] -1	0x00000000 - 0x000000ff (0x100) IX[B]
	[15] -1	0x0000ac00 - 0x0000ac3f (0x40) IX[B]
	[16] -1	0x0000d800 - 0x0000d83f (0x40) IX[B]
	[17] -1	0x0000dc00 - 0x0000dcff (0x100) IX[B]
	[18] -1	0x0000d400 - 0x0000d41f (0x20) IX[B]
	[19] -1	0x00000c00 - 0x00000c0f (0x10) IX[B]
	[20] -1	0x0000d000 - 0x0000d01f (0x20) IX[B]
	[21] -1	0x0000fc00 - 0x0000fc0f (0x10) IX[B]
	[22] -1	0x00009800 - 0x000098ff (0x100) IX[B](B)
	[23] 0	0x000003b0 - 0x000003bb (0xc) IS[B]
	[24] 0	0x000003c0 - 0x000003df (0x20) IS[B]
(II) Setting vga for screen 0.
(II) Loading sub module "vgahw"
(II) LoadModule: "vgahw"
(II) Loading /usr/X11R6/lib/modules/libvgahw.a
(II) Module vgahw: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 0.1.0
	ABI class: XFree86 Video Driver, version 0.4
(II) R128(0): PCI bus 1 card 0 func 0
(**) R128(0): Depth 24, (--) framebuffer bpp 32
(II) R128(0): Pixel depth = 24 bits stored in 4 bytes (32 bpp pixmaps)
(==) R128(0): Default visual is TrueColor
(==) R128(0): RGB weight 888
(II) R128(0): Using 8 bits per RGB (8 bit DAC)
(II) Loading sub module "int10"
(II) LoadModule: "int10"
(II) Loading /usr/X11R6/lib/modules/linux/libint10.a
(II) Module int10: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.0.0
	ABI class: XFree86 Video Driver, version 0.4
(II) R128(0): initializing int10
(II) R128(0): Primary V_BIOS segment is: 0xc000
(--) R128(0): Chipset: "ATI Rage 128 Pro ULTRA TF (AGP)" (ChipID = 0x5446)
(--) R128(0): Linear framebuffer at 0xd8000000
(--) R128(0): MMIO registers at 0xdfdfc000
(--) R128(0): BIOS at 0xdfdc0000
(--) R128(0): VideoRAM: 32768 kByte (128-bit SDR SGRAM 1:1)
(II) R128(0): PLL parameters: rf=2950 rd=65 min=12500 max=35000; xclk=13400
(II) Loading sub module "ddc"
(II) LoadModule: "ddc"
(II) Loading /usr/X11R6/lib/modules/libddc.a
(II) Module ddc: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.0.0
	ABI class: XFree86 Video Driver, version 0.4
(II) Loading sub module "vbe"
(II) LoadModule: "vbe"
(II) Loading /usr/X11R6/lib/modules/libvbe.a
(II) Module vbe: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.0.0
	ABI class: XFree86 Video Driver, version 0.4
(II) R128(0): VESA BIOS detected
(II) R128(0): VESA VBE Version 2.0
(II) R128(0): VESA VBE Total Mem: 32768 kB
(II) R128(0): VESA VBE OEM: ATI RAGE128
(II) R128(0): VESA VBE OEM Software Rev: 1.0
(II) R128(0): VESA VBE OEM Vendor: ATI Technologies Inc.
(II) R128(0): VESA VBE OEM Product: R128
(II) R128(0): VESA VBE OEM Product Rev: 01.00
(II) Loading sub module "ddc"
(II) LoadModule: "ddc"
(II) Reloading /usr/X11R6/lib/modules/libddc.a
(II) R128(0): VESA VBE DDC supported
(II) R128(0): VESA VBE DDC Level 2
(II) R128(0): VESA VBE DDC transfer in appr. 2 sec.
(II) R128(0): VESA VBE DDC read successfully
(II) R128(0): Manufacturer: SAM  Model: 27  Serial#: 1095840055
(II) R128(0): Year: 2002  Week: 19
(II) R128(0): EDID Version: 1.3
(II) R128(0): Analog Display Input,  Input Voltage Level: 0.700/0.700 V
(II) R128(0): Sync:  Separate
(II) R128(0): Max H-Image Size [cm]: horiz.: 32  vert.: 24
(II) R128(0): Gamma: 2.07
(II) R128(0): DPMS capabilities: Off; RGB/Color Display
(II) R128(0): First detailed timing is preferred mode
(II) R128(0): redX: 0.645 redY: 0.321   greenX: 0.285 greenY: 0.600
(II) R128(0): blueX: 0.142 blueY: 0.057   whiteX: 0.283 whiteY: 0.298
(II) R128(0): Supported VESA Video Modes:
(II) R128(0): 720x400@70Hz
(II) R128(0): 720x400@88Hz
(II) R128(0): 640x480@60Hz
(II) R128(0): 640x480@67Hz
(II) R128(0): 640x480@72Hz
(II) R128(0): 640x480@75Hz
(II) R128(0): 800x600@56Hz
(II) R128(0): 800x600@60Hz
(II) R128(0): 800x600@72Hz
(II) R128(0): 800x600@75Hz
(II) R128(0): 832x624@75Hz
(II) R128(0): 1024x768@87Hz (interlaced)
(II) R128(0): 1024x768@60Hz
(II) R128(0): 1024x768@70Hz
(II) R128(0): 1024x768@75Hz
(II) R128(0): 1152x870@75Hz
(II) R128(0): Manufacturer's mask: 0
(II) R128(0): Supported Future Video Modes:
(II) R128(0): #0: hsize: 640  vsize 480  refresh: 85  vid: 22833
(II) R128(0): #1: hsize: 800  vsize 600  refresh: 85  vid: 22853
(II) R128(0): #2: hsize: 1024  vsize 768  refresh: 85  vid: 22881
(II) R128(0): #3: hsize: 1280  vsize 1024  refresh: 60  vid: 32897
(II) R128(0): Supported additional Video Mode:
(II) R128(0): clock: 94.5 MHz   Image Size:  312 x 234 mm
(II) R128(0): h_active: 1024  h_sync: 1072  h_sync_end 1168 h_blank_end 1376 
h_border: 0
(II) R128(0): v_active: 768  v_sync: 769  v_sync_end 772 v_blanking: 808 
v_border: 0
(II) R128(0): Ranges: V min: 50  V max: 160 Hz, H min: 30  H max: 71 kHz, 
PixClock max 110 MHz
(II) R128(0): Monitor name: SyncMaster
(II) R128(0): Serial No: HHAT500940
(==) R128(0): Using gamma correction (1.0, 1.0, 1.0)
(II) R128(0): SyncMaster: Using hsync range of 30.00-71.00 kHz
(II) R128(0): SyncMaster: Using vrefresh range of 50.00-160.00 Hz
(II) R128(0): Clock range:  12.50 to 350.00 MHz
(II) R128(0): Not using default mode "1280x960" (hsync out of range)
(II) R128(0): Not using default mode "1280x1024" (hsync out of range)
(II) R128(0): Not using default mode "1280x1024" (hsync out of range)
(II) R128(0): Not using default mode "1600x1200" (hsync out of range)
(II) R128(0): Not using default mode "1600x1200" (hsync out of range)
(II) R128(0): Not using default mode "1600x1200" (hsync out of range)
(II) R128(0): Not using default mode "1600x1200" (hsync out of range)
(II) R128(0): Not using default mode "1600x1200" (hsync out of range)
(II) R128(0): Not using default mode "1792x1344" (hsync out of range)
(II) R128(0): Not using default mode "1792x1344" (hsync out of range)
(II) R128(0): Not using default mode "1856x1392" (hsync out of range)
(II) R128(0): Not using default mode "1856x1392" (hsync out of range)
(II) R128(0): Not using default mode "1920x1440" (hsync out of range)
(II) R128(0): Not using default mode "1920x1440" (hsync out of range)
(II) R128(0): Not using default mode "1400x1050" (hsync out of range)
(--) R128(0): Virtual size is 1024x768 (pitch 1024)
(**) R128(0): Default mode "1024x768": 94.5 MHz, 68.7 kHz, 85.0 Hz
(II) R128(0): Modeline "1024x768"   94.50  1024 1072 1168 1376  768 769 772 
808 +hsync +vsync
(**) R128(0): Default mode "800x600": 56.3 MHz, 53.7 kHz, 85.1 Hz
(II) R128(0): Modeline "800x600"   56.30  800 832 896 1048  600 601 604 631 
+hsync +vsync
(--) R128(0): Display dimensions: (32, 24) cm
(--) R128(0): DPI set to (81, 81)
(II) Loading sub module "fb"
(II) LoadModule: "fb"
(II) Loading /usr/X11R6/lib/modules/libfb.a
(II) Module fb: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.0.0
	ABI class: XFree86 ANSI C Emulation, version 0.1
(II) Loading sub module "ramdac"
(II) LoadModule: "ramdac"
(II) Loading /usr/X11R6/lib/modules/libramdac.a
(II) Module ramdac: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 0.1.0
	ABI class: XFree86 Video Driver, version 0.4
(II) Loading sub module "xaa"
(II) LoadModule: "xaa"
(II) Loading /usr/X11R6/lib/modules/libxaa.a
(II) Module xaa: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.0.0
	ABI class: XFree86 Video Driver, version 0.4
(--) Depth 24 pixmap format is 32 bpp
(II) do I need RAC?  No, I don't.
(II) resource ranges after preInit:
	[0] 0	0xdfdfc000 - 0xdfdfffff (0x4000) MS[B]
	[1] 0	0xd8000000 - 0xdbffffff (0x4000000) MS[B]
	[2] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[3] -1	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[4] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[5] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[6] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[7] -1	0xdfeff000 - 0xdfefffff (0x1000) MX[B]
	[8] -1	0xe0000000 - 0xe3ffffff (0x4000000) MX[B]
	[9] -1	0xdfdc0000 - 0xdfddffff (0x20000) MX[B](B)
	[10] -1	0xdfdfc000 - 0xdfdfffff (0x4000) MX[B](B)
	[11] -1	0xd8000000 - 0xdbffffff (0x4000000) MX[B](B)
	[12] 0	0x000a0000 - 0x000affff (0x10000) MS[B]
	[13] 0	0x000b0000 - 0x000b7fff (0x8000) MS[B]
	[14] 0	0x000b8000 - 0x000bffff (0x8000) MS[B]
	[15] 0	0x00009800 - 0x000098ff (0x100) IS[B]
	[16] -1	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[17] -1	0x00000000 - 0x000000ff (0x100) IX[B]
	[18] -1	0x0000ac00 - 0x0000ac3f (0x40) IX[B]
	[19] -1	0x0000d800 - 0x0000d83f (0x40) IX[B]
	[20] -1	0x0000dc00 - 0x0000dcff (0x100) IX[B]
	[21] -1	0x0000d400 - 0x0000d41f (0x20) IX[B]
	[22] -1	0x00000c00 - 0x00000c0f (0x10) IX[B]
	[23] -1	0x0000d000 - 0x0000d01f (0x20) IX[B]
	[24] -1	0x0000fc00 - 0x0000fc0f (0x10) IX[B]
	[25] -1	0x00009800 - 0x000098ff (0x100) IX[B](B)
	[26] 0	0x000003b0 - 0x000003bb (0xc) IS[B]
	[27] 0	0x000003c0 - 0x000003df (0x20) IS[B]
(==) R128(0): Write-combining range (0xd8000000,0x2000000)
(II) R128(0): [drm] created "r128" driver at busid "PCI:1:0:0"
(II) R128(0): [drm] added 4096 byte SAREA at 0xe0896000
(II) R128(0): [drm] mapped SAREA 0xe0896000 to 0x40017000
(II) R128(0): [drm] framebuffer handle = 0xd8000000
(II) R128(0): [drm] added 1 reserved context for kernel
(WW) R128(0): [agp] AGP not available
(WW) R128(0): [agp] AGP failed to initialize -- falling back to PCI mode.
(WW) R128(0): [agp] Make sure you have the agpgart kernel module loaded.
(II) R128(0): [pci] 8192 kB allocated with handle 0xe28d7000
(II) R128(0): [pci] ring handle = 0xe28d7000
(II) R128(0): [pci] Ring mapped at 0x42255000
(II) R128(0): [pci] Ring contents 0x00000000
(II) R128(0): [pci] ring read ptr handle = 0xe29d8000
(II) R128(0): [pci] Ring read ptr mapped at 0x40018000
(II) R128(0): [pci] Ring read ptr contents 0x00000000
(II) R128(0): [pci] vertex/indirect buffers handle = 0xe29d9000
(II) R128(0): [pci] Vertex/indirect buffers mapped at 0x42356000
(II) R128(0): [pci] Vertex/indirect buffers contents 0x00000000
(II) R128(0): [drm] register handle = 0xdfdfc000
(II) R128(0): [dri] Visual configs initialized
(II) R128(0): CCE in BM mode
(II) R128(0): Using 8 MB AGP aperture
(II) R128(0): Using 1 MB for the ring buffer
(II) R128(0): Using 2 MB for vertex/indirect buffers
(II) R128(0): Using 5 MB for AGP textures
(II) R128(0): Memory manager initialized to (0,0) (1024,3840)
(II) R128(0): Reserved area from (0,768) to (1024,770)
(II) R128(0): Largest offscreen area available: 1024 x 3070
(II) R128(0): Reserved back buffer from (0,770) to (1024,1538)
(II) R128(0): Reserved depth buffer from (0,1538) to (1024,2307)
(II) R128(0): Reserved depth span from (0,2306) offset 0x902000
(II) R128(0): Reserved 17408 kb for textures at offset 0xf00000
(==) R128(0): Backing store disabled
(==) R128(0): Silken mouse enabled
(II) R128(0): Using XFree86 Acceleration Architecture (XAA)
	Screen to screen bit blits
	Solid filled rectangles
	8x8 mono pattern filled rectangles
	Indirect CPU to Screen color expansion
	Solid Lines
	Dashed Lines
	Scanline Image Writes
	Offscreen Pixmaps
	Setting up tile and stipple cache:
		32 128x128 slots
		14 256x256 slots
(II) R128(0): Acceleration enabled
(II) R128(0): Using hardware cursor (scanline 9228)
(II) R128(0): Largest offscreen area available: 1024 x 1531
(**) Option "dpms"
(**) R128(0): DPMS enabled
(II) R128(0): X context handle = 0x00000001
(II) R128(0): [drm] installed DRM signal handler
(II) R128(0): [DRI] installation complete
(II) R128(0): [drm] Added 128 16384 byte vertex/indirect buffers
(II) R128(0): [drm] Mapped 128 vertex/indirect buffers
(II) R128(0): Direct rendering enabled
(II) Setting vga for screen 0.
(II) Initializing built-in extension MIT-SHM
(II) Initializing built-in extension XInputExtension
(II) Initializing built-in extension XTEST
(II) Initializing built-in extension XKEYBOARD
(II) Initializing built-in extension LBX
(II) Initializing built-in extension XC-APPGROUP
(II) Initializing built-in extension SECURITY
(II) Initializing built-in extension XINERAMA
(II) Initializing built-in extension XFree86-Bigfont
(II) Initializing built-in extension RENDER
(**) Option "Protocol" "PS/2"
(**) Mouse0: Protocol: "PS/2"
(**) Option "CorePointer"
(**) Mouse0: Core Pointer
(**) Option "Device" "/dev/mouse"
(==) Mouse0: Buttons: 3
(**) Option "Emulate3Buttons" "yes"
(**) Mouse0: Emulate3Buttons, Emulate3Timeout: 50
(**) Option "ZAxisMapping" "4 5"
(**) Mouse0: ZAxisMapping: buttons 4 and 5
(II) Keyboard "Keyboard0" handled by legacy driver
(II) XINPUT: Adding extended input device "Mouse0" (type: MOUSE)
(II) R128(0): [drm] removed 1 reserved context for kernel
(II) R128(0): [drm] unmapping 4096 bytes of SAREA 0xe0896000 at 0x40017000
Comment 2 Mike A. Harris 2003-01-20 20:07:23 EST
Please use bugzilla's file attachment feature for attaching logs and other
files instead of pasting large amounts of data into the bug report form.

Your log file shows a correctly working X server starting up.  I don't see
any problem in the log file showing it failing to start.

Also, you're using a rather ancient version of XFree86.  Please upgrade to
the latest erratum update that has been released by Red Hat.  You can
do this with up2date.

Does the latest update have any problem for you?
Comment 3 Ali-Reza Anghaie 2003-01-20 20:19:17 EST
I'd also add that this is more-or-less a support request. There is nothing    
discernable as a bug/RFE/etc. here. I suggest that the end-user consider    
subscribing to the mailing list at http://www.redhat.com/mailing-lists/ for   
their current release(s).  
   
Furthermore you can look into USENET groups like linux.redhat and   
redhat.general (http://groups.google.com/). 
 
Other options are to goto freenode.org's IRC servers and the #redhat group or 
even #xfree86. 
 
Just my $0.02. Cheers, -Ali 
 
 
Comment 4 Mike A. Harris 2003-01-20 20:31:17 EST
It does come across more like a support request than an actual bug report.
For the record, in order for an engineer to be able to fix a legitimate
bug, they need to be able to determine what it is specifically.

A user must be running the latest software that has been released in order
for any bug report to be investigated.  Once updated to the latest software
if a problem persists, it needs to be reported in a very detailed way
that can provide the information an engineer needs to be able to look into
the problem.

With the above X log and comment that X doesn't start when startx is ran,
all I would conclude is that the user has misconfigured the system.  That
would indeed fall into the 'support' category and not a bug category.

I'm closing this as NOTABUG for now.

Note You need to log in before you can comment on or make changes to this bug.